<?php
	session_start();
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['nombre'];
	$cat = $_REQUEST['opc'];
	$codigo = $_REQUEST['codigo'];
	$desc = $_REQUEST['descripcion'];
	$precio = $_REQUEST['preciov'];
	$stock = $_REQUEST['stock'];
	$dest = $_REQUEST['destacado'];
	$ruta="../imagenes";
	$archivo=$_FILES['imagen']['tmp_name'];
	$nombreArchivo=$_FILES['imagen']['name'];
	move_uploaded_file($archivo,$ruta."/".$nombreArchivo);
	$ruta=$nombreArchivo;
	$id = $_GET['id'];
	$activado = 1;
	$eliminado = 0;
	$destacado= 0;
	$sql= "SELECT * FROM productos where idprod ='$id'";
	$res = mysqli_query($conexion,$sql);
	
	
	$dest = $dest - 1;
	$imagen = mysql_result($res,0,"imagen_preview");
	$idprod = mysql_result($res, 0,"idprod");
	if($id==''){
		$sql = "INSERT INTO productos VALUES (0, '$nombre','$codigo','".$ruta."','".$ruta."','$desc','$precio',$cat,'$stock',$dest,$activado,$eliminado )";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"productos_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: productos_lista.php"));
	}
	}else{
		if($id == $idprod){
			if($nombreArchivo!='')
		$sql= "UPDATE productos SET nombre='$nombre',codigo	='$codigo',descripcion='$desc',precio='$precio',categoria='$cat',destacado='$dest',stock=$stock,imagen_preview='$ruta',imagen_detalle='$ruta' WHERE idprod='$id'";
	else{
		$sql= "UPDATE productos SET nombre='$nombre',codigo	='$codigo',descripcion='$desc',precio='$precio',destacado='$dest',categoria='$cat',stock=$stock,imagen_preview='$imagen',imagen_detalle='$imagen' WHERE idprod='$id'";
	}
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"productos_lista.php\">Lista de usuarios</a>");
		}
		else{
	    exit(header("Location: productos_lista.php"));
		}
	}
}	
?>
